SrndTermQuery (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.surround.query.SrndTermQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.surround.query
Class SrndTermQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.SimpleTerm
              org.apache.lucene.queryParser.surround.query.SrndTermQuery

All Implemented Interfaces:
  Cloneable, Comparable<SimpleTerm>, DistanceSubQuery

    public class SrndTermQuery

extends SimpleTerm

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm
`SimpleTerm.MatchingTermVisitor`

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`SrndTermQuery(String termText, boolean quoted)`

Method Summary
`Term` | `getLuceneTerm(String fieldName)`
`String` | `getTermText()`
`String` | `toStringUnquoted()`
`void` | `visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm
`addSpanQueries, compareTo, distanceSubQueryNotAllowed, getFieldOperator, getQuote, makeLuceneQueryFieldNoBoost, suffixToString, toString`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SrndTermQuery

    public SrndTermQuery(String termText,
                         boolean quoted)

Method Detail

### getTermText

    public String getTermText()

### getLuceneTerm

    public Term getLuceneTerm(String fieldName)

### toStringUnquoted

    public String toStringUnquoted()

  Specified by:
    `toStringUnquoted` in class `SimpleTerm`

### visitMatchingTerms

    public void visitMatchingTerms(IndexReader reader,
                                   String fieldName,
                                   SimpleTerm.MatchingTermVisitor mtv)
                            throws IOException

  Specified by:
    `visitMatchingTerms` in class `SimpleTerm`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD